Page MenuHomePhabricator

Bug: Link to SVAR Riksarkivet part of picture doesnt work
Open, Stalled, Needs TriagePublic

Description

Status: error reported to Riksarkivet but no lognumber received

Error reported that links to part of e.g. a page in birthbook doesnt work....

A guess is that Riksarkivet has added a new function that you need to be logged in when accessing books younger than 1?0 years and then missed to support parameters that position the browser on a zoomed in part of the page...

Example: Alice Babs
Link: https://sok.riksarkivet.se/bildvisning/80004726_00062?c=0&m=0&s=0&cv=0#?cv=61&z=437.1952%2C3062.3912%2C2487.5759%2C1588.7405

Problem: the page shown is not zoomed in

Example:

Expected result is zoomed in:

List with links to part of birth records in SVAR

Event Timeline

Salgo60 created this task.Sep 15 2018, 8:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2018, 8:23 AM
Salgo60 updated the task description. (Show Details)Sep 15 2018, 8:23 AM
Salgo60 updated the task description. (Show Details)Sep 15 2018, 8:51 AM
Salgo60 updated the task description. (Show Details)Sep 15 2018, 9:14 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)

Hej Magnus,
Vi träffades i Växjö under Släktforskardagarna. Du visade bl.a. denna länkning för mig.
Vår bildvisningen bygger på UniversalViewer (UV) som är open-source. Vi har nyligen uppgraderat vår version av UV till den senaste versionen i förberedelse för att även kunna visa film på sikt. I samband med detta upptäckte jag att man ersatt parametern z med parametern xywh. z och xywh är i princip samma sak och man kan ersätta detta i url:en. Har ni möjlighet att göra detta i dessa 134 länkar så vore det jättebra, annars måste vi göra en fix som ändrar z till xywh vid anropet? Testa gärna att resultatet blir ungefär detsamma som tidigare.
Har du ytterligare funderingar omkring länkar etc kan du skicka direkt till mig så kan jag försöka svara eller hänvisa rätt.
Med vänliga hälsningar
Magnus Johansson
Riksarkivet SVAR
Box 160
880 40 RAMSELE
tel 010-476 70 00

Salgo60 closed this task as Resolved.Sep 21 2018, 6:00 AM
Salgo60 claimed this task.

Skapar ny task för konvertering

Salgo60 reopened this task as Open.EditedOct 4 2018, 10:11 AM

När man måste logga in är det fortfarande fel väntar feedback från SVAR.

Lista med korrekt URL http://tinyurl.com/yd8q4h6y se vidare diskussion

Salgo60 added a comment.EditedNov 1 2018, 5:08 PM

Status:

  • ingen feedback om detta fixas av Riksarkivet
  • inget lognummer på detta fel
  • fungerar inte när jag testade idag
  • föreslagit möte i Ramsele se T205060: Meeting in Ramsele with SVAR? om detta och att koppla ihop oss få updateringar (T201775) men statens kvarnar maler långsamt ;-)
Salgo60 changed the task status from Open to Stalled.Dec 13 2018, 2:45 PM
Salgo60 changed the status of subtask T205060: Meeting in Ramsele with SVAR? from Open to Stalled.
Salgo60 moved this task from Backlog to Blocked on the WMSE-Riksarkivet-TORA board.

Ingen reaktion från SVAR flyttas till Stalled